MED-V Host Agent Setup fails with “MED-V Host Agent requires Windows Virtual PC 7 version 6.1.7600 or higher”

imageHi everyone, Mark Stanfill here and today I wanted to take a minute to quickly tell you about an issue I recently ran into where the MED-V Host Agent Setup (MED-V 2.0 Host Agent) fails with the following error message:

MED-V Host Agent Setup
MED-V Host Agent requires Windows Virtual PC 7 version 6.1.7600 or higher.

This is an error you can get if Windows Virtual PC is not present on the host OS and it does not have the 958559 update applied.  Now fortunately for us this is an easy fix.  To resolve this issue and allow the MED-V 2.0 Host Agent to install, use the following steps:

  1. Download and install the 958559 update (;EN-US;958559).
  2. Reboot the host OS when prompted.
  3. Re-run MED-V_HostAgent_Setup.exe

That’s it!

Mark Stanfill | Senior Support Escalation Engineer

Get the latest System Center news on Facebook and Twitter:

clip_image001 clip_image002

App-V Team blog:
AVIcode Team blog:
ConfigMgr Support Team blog:
DPM Team blog:
MED-V Team blog:
OOB Support Team blog:
Opalis Team blog:
Orchestrator Support Team blog:
OpsMgr Support Team blog:
SCMDM Support Team blog:
SCVMM Team blog:
Server App-V Team blog:
Service Manager Team blog:
System Center Essentials Team blog:
WSUS Support Team blog:

The Forefront Server Protection blog:
The Forefront Identity Manager blog :
The Forefront TMG blog:
The Forefront UAG blog:

Comments (0)